Bug 89306 - Prunting unformatted files, two lines at bottom of each page are missing
Prunting unformatted files, two lines at bottom of each page are missing
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-22 10:56 EDT by Oswald Wyler
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-21 10:22:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oswald Wyler 2003-04-22 10:56:38 EDT
Description of problem:
When printing out an unformatted file, such as received e-mail or a man-page,
the software organizes the file into pages of 64 lines, with 80 columns.
The printer prints out 62 lines, and a bit more, then goes to the next page.
Result: two missing lines at the bottom of each page.

The printer is of type Epson Stylus Color 850, the paper type in printconf
is set as "letter".  All formatted jobs I have printed came out just fine.

Version-Release number of selected component (if applicable):


How reproducible:
Find a man-page with more than 62 lines, enter "man <name> | lpr".

Steps to Reproduce:
1.
2.
3.
    
Actual results: Unformatted files send 64 lines per page; only 62 are printed.


Expected results: 62 lines per page for unformatted files.


Additional info:
Comment 1 Tim Waugh 2003-04-25 05:08:04 EDT
Have you tried the 'Convert text to PostScript' option?
Comment 2 Oswald Wyler 2003-05-02 13:38:03 EDT
owyler@suscom-maine.net; May 2, 2003:
I added a file /home/owyler/.printconf with three lines:
include /etc/printcap
pl D num 53 #lines per page
pw D num 80 #characters per line
This fixes the problem, but I still think it's a bug; this should not be needed.
Comment 3 Oswald Wyler 2003-05-02 13:45:37 EDT
Typo: The 53 above is really 52.
Comment 4 Tim Waugh 2003-05-21 10:22:08 EDT
Current rawhide has a fix for lines-per-page, by adjusting the default page margins.

Note You need to log in before you can comment on or make changes to this bug.